/*
 *	$Source: /mit/hst/src/data/RCS/test.parameter.c,v $
 *	$Header: /mit/hst/src/data/RCS/test.parameter.c,v 2.0 90/08/06 17:51:04 tldavis Stab $
 */

#ifndef lint
static char *rcsid_test_parameter_c = "$Header: /mit/hst/src/data/RCS/test.parameter.c,v 2.0 90/08/06 17:51:04 tldavis Stab $";
#endif

#include "../include/cvdefs.h"

main()
{
  extern int *get_varlist();
  int *v, place, type, n;

  LoadParameterData("db");
  for (;;) {
    printf("place, type?\n");
    scanf("%d %d", &place, &type);
    v = get_varlist (place, type, DEPENDENT);
    printf("ENTERED: %d %d \n", place, type);
    for (n=0; v[n] != ENDVAR; n++)
      printf("DEPENDENT var %d = %d \n", n, v[n]);
    v = get_varlist (place, type, INDEPENDENT);
    for (n=0; v[n] != ENDVAR; n++)
      printf("INDEPENDENT var %d = %d \n", n, v[n]);
  }
}
